import { jsx } from "react/jsx-runtime";
import { FlagBannerIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FlagBanner = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FlagBanner", ...props, children: /* @__PURE__ */ jsx(FlagBannerIcon, { weight: variant }) });
  }
);
FlagBanner.displayName = "FlagBanner";
Object.assign(FlagBanner, { isGdsIcon: true });
export {
  FlagBanner
};
